org.encog.neural.networks.training.propagation

## Class TrainingContinuation

- java.lang.Object
- - org.encog.neural.networks.training.propagation.TrainingContinuation

- All Implemented Interfaces:
    Serializable

      public class TrainingContinuation
      extends Object
      implements Serializable

  Allows training to be continued.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TrainingContinuation()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `get(String name)` Get an object by name.
    `Map<String,Object>` | `getContents()`
    `String` | `getTrainingType()`
    `void` | `put(String key, double[] list)` Save a list of doubles.
    `void` | `set(String name, Object value)` Set a value to a string.
    `void` | `setTrainingType(String trainingType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TrainingContinuation

          public TrainingContinuation()

  - ### Method Detail

    - #### get

          public Object get(String name)

      Get an object by name.
      Parameters:
        `name` - The name of the object.
      Returns:
        The object requested.

    - #### getContents

          public Map<String,Object> getContents()

      Returns:
        The contents.

    - #### put

          public void put(String key,
                 double[] list)

      Save a list of doubles.
      Parameters:
        `key` - The key to save them under.
        `list` - The list of doubles.

    - #### set

          public void set(String name,
                 Object value)

      Set a value to a string.
      Parameters:
        `name` - The value to set.
        `value` - The value.

    - #### getTrainingType

          public String getTrainingType()

      Returns:
        the trainingType

    - #### setTrainingType

          public void setTrainingType(String trainingType)

      Parameters:
        `trainingType` - the trainingType to set

Copyright © 2014. All Rights Reserved.